How to add Header logo in pdf while exporting wiki pages into pdf format
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

I am using 2.0.4 version of redmine

Rails 3.2.9

ruby 1.9.3p327 (2012-11-10 revision 37606) [x86_64-linux]   

I am trying to add header logo to pdf while exporting wiki pages into pdf format.

which function I need to use in "redmine/lib/redmine/export/pdf.rb" file to add image.

History

#1 - 2012-12-13 07:27 - Toshi MARUYAMA

- Category set to PDF export

#2 - 2012-12-17 05:43 - satya B

- Status changed from New to Resolved

Got the solution

use SetImage in pdf.rb

#3 - 2013-02-15 04:57 - satya B

Hi Toshi,

I am trying to prevent table break into pages while converting wiki to pdf formate.

But I am unsuccessful, Is it possible to prevent table break in pdf?

If so which part of the redmine code does this, I went through few ruby files but didn't understand which func

tion does this task

 Files which I refered:

tcpdf.rb

pdf.rb

wiki_formatting.rb

Could you please guide me

 Thanks.

#4 - 2013-02-15 06:05 - Toshi MARUYAMA

satya B wrote:

Hi Toshi,

I am trying to prevent table break into pages while converting wiki to pdf formate.

 Do you mean #11987?

#5 - 2013-02-15 06:12 - satya B

No, Here is the requirement, When a table starts from middle of the pdf page and if the table length is more then that page then the table will continue

to the next page.

We want to avoid such table break into pages and if the table doesn't fit into current page it should automati
https://www.redmine.org/issues/11987


cally start from new page as like image files.

#6 - 2013-02-15 06:22 - Toshi MARUYAMA

satya B wrote:

We want to avoid such table break into pages and if the table doesn't fit into current page it should automatically start from new page as like

image files.

 I don't know how to do it.

#7 - 2013-02-15 06:25 - satya B

Ok, anyway thanks.

#8 - 2013-07-23 23:25 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

- Resolution set to Invalid

resolved -> closed

#9 - 2021-01-16 13:56 - Dileep Kumar

satya B wrote:

Got the solution

use SetImage in pdf.rb

 Could you please give the line of code for setimage function
